%define major 20
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	GNU Pth - GNU Portable Threads
Name:		pth
Version:	2.0.7
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/pth/
Source0:	ftp://ftp.gnu.org/pub/gnu/pth/%{name}-%{version}.tar.xz
Patch1:		%{name}-2.0.0-pth-config.in.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%name < %version

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

%package -n %{libname}
Summary:	GNU Pth - GNU Portable Threads
Group:		System/Libraries
Provides:	libpth = %{version}-%{release}

%description -n %{libname}
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

This package provides the main %{name} library.

%package -n %{develname}
Summary:	GNU Pth - GNU Portable Threads (Headers and Static Libs)
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libpth-devel %{version}-%{release}
Obsoletes:	%mklibname %{name} 20 -d
Provides:	%mklibname %{name} 20 -d

%description -n %{develname}
Pth is a very portable POSIX/ANSI-C based library for Unix platforms.

This package provides all necessary files to develop or compile any
applications or libraries that use %{name} library.

%prep
%setup -q
%apply_patches

%build

%configure2_5x --disable-static \
	--enable-optimize=yes \
	--enable-pthread=no
	
# (tpg)	without this parallel make fails
%make pth_p.h

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name '*.la' -delete

%multiarch_binaries %{buildroot}%{_bindir}/pth-config


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS PORTING README THANKS
%{_bindir}/pth-config
%multiarch %{multiarch_bindir}/pth-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_mandir}/man?/*


%changelog
* Wed Sep 06 2017 adrianomorselli <adrianomorselli> 2.0.7-4uplos2017
- rebuild for 2017
